Name:                paranamer
Version:             2.8
Release:             1
Summary:             Library for accessing non-private method parameter names at run-time
License:             BSD
URL:                 https://github.com/paul-hammant/paranamer
Source0:             https://github.com/paul-hammant/paranamer/archive/%{name}-parent-%{version}.tar.gz
Patch0:              0001-Port-to-current-qdox.patch
BuildRequires:       maven-local mvn(com.thoughtworks.qdox:qdox) mvn(javax.inject:javax.inject)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.codehaus:codehaus-parent:pom:) mvn(org.mockito:mockito-all)
BuildRequires:       mvn(org.ow2.asm:asm) mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
It is a library that allows the parameter names of non-private methods
and constructors to be accessed at run-time.

%package ant
Summary:             ParaNamer Ant
%description ant
This package contains the ParaNamer Ant tasks.

%package generator
Summary:             ParaNamer Generator
%description generator
This package contains the ParaNamer Generator.

%package integration-tests
Summary:             ParaNamer Integration Test Parent POM
%description integration-tests
ParaNamer Integration Test Parent POM.

%package it-011
Summary:             ParaNamer Integration Test 011
%description it-011
ParaNamer IT 011: can use maven plugin defaults.

%package maven-plugin
Summary:             ParaNamer Maven plugin
%description maven-plugin
This package contains the ParaNamer Maven plugin.

%package parent
Summary:             ParaNamer Parent POM
%description parent
This package contains the ParaNamer Parent POM.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
%patch0 -p1
find -name "*.class" -print -delete
find -name "*.jar" -print ! -name "test.jar" -delete
chmod -x LICENSE.txt
%pom_xpath_remove "pom:build/pom:extensions"
%pom_remove_plugin -r :maven-dependency-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_disable_module %{name}-distribution
%pom_remove_dep -r net.sourceforge.f2j:
%pom_xpath_remove -r "pom:dependency[pom:classifier = 'javadoc' ]"
rm -r %{name}/src/test/com/thoughtworks/paranamer/JavadocParanamerTest.java
rm -r %{name}/src/test/com/thoughtworks/paranamer/BytecodeReadingParanamerTestCase.java

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE.txt

%files ant -f .mfiles-%{name}-ant

%files generator -f .mfiles-%{name}-generator
%license LICENSE.txt

%files integration-tests -f .mfiles-%{name}-integration-tests
%license LICENSE.txt

%files it-011 -f .mfiles-%{name}-it-011
%license LICENSE.txt

%files maven-plugin -f .mfiles-%{name}-maven-plugin

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Jul 28 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 2.8-1
- Package init
